MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001270XdebugUsage problems (Wrong Results)public2016-02-15 22:502016-02-27 17:15
Reporterrobob4him 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version7
Product Version2.4.0rc4 
Target VersionFixed in Version2.4.0 
Summary0001270: String parsing marked not covered
Descriptionhttp://php.net/manual/en/language.types.string.php#language.types.string.parsing [^]

Variables interpolated inside strings are not considered covered
Steps To Reproduce  throw new \Exception(
      "The specified platform for '{$clazz}'" .
      " must be a fetchable service or fully qualified class"
  );
Additional InformationThe snippet above is marked as covered when changed to:

  throw new \Exception(
      'The specified platform for \'' . $clazz .
      '\' must be a fetchable service or fully qualified class'
  );
TagsNo tags attached.
Operating SystemWindows 7
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003533)
derick (administrator)
2016-02-27 17:15

Fixed for 2.4.0 - thanks for the report!

- Issue History
Date Modified Username Field Change
2016-02-15 22:50 robob4him New Issue
2016-02-27 17:15 derick Note Added: 0003533
2016-02-27 17:15 derick Status new => closed
2016-02-27 17:15 derick Assigned To => derick
2016-02-27 17:15 derick Resolution open => fixed
2016-02-27 17:15 derick Fixed in Version => 2.4.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker